#!/bin/bash

#DATAPAGE=$(curl -$ https://www.coindesk/price/ethereum/)
curl https://www.coindesk.com/price/ethereum/ > ethereum.txt
curl https://www.coindesk.com/price/bitcoin/ > bitcoin.txt
curl https://www.coindesk.com/price/binance-coin/ > binance.txt
curl https://www.coindesk.com/price/xrp/ >  xrp.txt
curl https://www.coindesk.com/price/cardano/ >  cardano.txt

ETHEREUMRATE=$(cat ethereum.txt | grep -oP '<span class="typography__StyledTypography-owin6q-0 eAqfPK">[-0-9.%]+</span>' | sed 's/<\/\?span[^>]*>//g' | tr -d '%')
ETHEREUMPRICE=$(cat ethereum.txt | grep -oP '<span class="currency-pricestyles__Price-sc-1rux8hj-0 eEpEzP">[0-9,.]+</span>' | sed 's/[^0-9.]//g' | cut -c 4-)
ETHEREUMDATETIME=$(date +'%Y-%m-%d %H:%M')

BITCOINRATE=$(cat bitcoin.txt | grep -oP '<span class="typography__StyledTypography-owin6q-0 eAqfPK">[-0-9.%]+</span>' | sed 's/<\/\?span[^>]*>//g' | tr -d '%')
BITCOINPRICE=$(cat bitcoin.txt | grep -oP '<span class="currency-pricestyles__Price-sc-1rux8hj-0 eEpEzP">[0-9,.]+</span>' | sed 's/[^0-9.]//g' | cut -c 4-)
BITCOINDATETIME=$(date +'%Y-%m-%d %H:%M')

BINANCERATE=$(cat binance.txt | grep -oP '<span class="typography__StyledTypography-owin6q-0 eAqfPK">[-0-9.%]+</span>' | sed 's/<\/\?span[^>]*>//g' | tr -d '%')
BINANCEPRICE=$(cat binance.txt | grep -oP '<span class="currency-pricestyles__Price-sc-1rux8hj-0 eEpEzP">[0-9,.]+</span>' | sed 's/[^0-9.]//g' | cut -c 4-)
BINANCEDATETIME=$(date +'%Y-%m-%d %H:%M')

XRPRATE=$(cat xrp.txt | grep -oP '<span class="typography__StyledTypography-owin6q-0 eAqfPK">[-0-9.%]+</span>' | sed 's/<\/\?span[^>]*>//g' | tr -d '%')
XRPPRICE=$(cat xrp.txt | grep -oP '<span class="currency-pricestyles__Price-sc-1rux8hj-0 jxzQXk">[0-9,.]+</span>' | sed 's/[^0-9.]//g' | cut -c 4-)
XRPDATETIME=$(date +'%Y-%m-%d %H:%M')

CARDANORATE=$(cat cardano.txt | grep -oP '<span class="typography__StyledTypography-owin6q-0 eAqfPK">[-0-9.%]+</span>' | sed 's/<\/\?span[^>]*>//g' | tr -d '%')
CARDANOPRICE=$(cat cardano.txt | grep -oP '<span class="currency-pricestyles__Price-sc-1rux8hj-0 jxzQXk">[0-9,.]+</span>' | sed 's/[^0-9.]//g' | cut -c 4-)
CARDANODATETIME=$(date +'%Y-%m-%d %H:%M')


echo "Ethereum rate : $ETHEREUMRATE"
echo "Ethereum price : $ETHEREUMPRICE"
echo "Ethereum date : $ETHEREUMDATETIME"

echo "Bitcoin rate : $BITCOINRATE"
echo "Bitcoin price : $BITCOINPRICE"
echo "Bitcoin date : $BITCOINDATETIME"

echo "Binance rate : $BINANCERATE"
echo "Binance price : $BINANCEPRICE"
echo "Binance datetime : $BINANCEDATETIME"

echo "XRP rate : $XRPRATE"
echo "XRP price : $XRPPRICE"
echo "XRP datetime : $XRPDATETIME"

echo "Cardano rate : $CARDANORATE"
echo "Cardano price : $CARDANOPRICE"
echo "Cardano datetime : $CARDANODATETIME"

#$(/opt/lampp/bin/mysql -u root -e "create database Coin_db; use Coin_db")
#$(/opt/lampp/bin/mysql -u root -e "use Coin_db; create table Bitcoin (price float, rate float, date DATETIME)")
$(/opt/lampp/bin/mysql -u root -e "use Coin_db; insert into Bitcoin (price, rate , date)values('$BITCOINPRICE','$BITCOINRATE','$BITCOINDATETIME')")

#$(/opt/lampp/bin/mysql -u root -e "use Coin_db; create table Ethereum (price float, rate float, date DATETIME)")
$(/opt/lampp/bin/mysql -u root -e "use Coin_db; insert into Ethereum (price, rate , date)values('$ETHEREUMPRICE','$ETHEREUMRATE','$ETHEREUMDATETIME')")

#$(/opt/lampp/bin/mysql -u root -e "use Coin_db; create table Binance (price float, rate float, date DATETIME)")
$(/opt/lampp/bin/mysql -u root -e "use Coin_db; insert into Binance (price, rate , date)values('$BINANCEPRICE','$BINANCERATE','$BINANCEDATETIME')")

#$(/opt/lampp/bin/mysql -u root -e "use Coin_db; create table XRP (price float, rate float, date DATETIME)")
$(/opt/lampp/bin/mysql -u root -e "use Coin_db; insert into XRP (price, rate , date)values('$XRPPRICE','$XRPRATE','$XRPDATETIME')")

#$(/opt/lampp/bin/mysql -u root -e "use Coin_db; create table Cardano (price float, rate float, date DATETIME)")
$(/opt/lampp/bin/mysql -u root -e "use Coin_db; insert into Cardano (price, rate , date)values('$CARDANOPRICE','$CARDANORATE','$CARDANODATETIME')")
